package com.persagy.adm.diagram.core.model.base;

import com.persagy.adm.diagram.core.model.logic.DataFilter;

import java.util.List;

/**
 * 设备承载接口
 */
public interface IEquipHolder {

	/**
	 * 可以放置、绑定的设备类型
	 */
	List<String> getEquipmentTypes();

	/**
	 * 数据对象过滤器
	 */
	DataFilter getDataFilter();

}
